> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Profile

> Get the user's PA profile.



## OpenAPI

````yaml /openapi.json get /api/v1/assistant/profile
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/profile:
    get:
      tags:
        - Assistant
      summary: Get My Profile
      description: Get the user's PA profile.
      operationId: get_my_profile_api_v1_assistant_profile_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProfileResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        assistant_id:
          type: string
          format: uuid
          title: Assistant Id
        basics:
          additionalProperties: true
          type: object
          title: Basics
        preferences:
          additionalProperties: true
          type: object
          title: Preferences
        people:
          additionalProperties: true
          type: object
          title: People
        favourites:
          additionalProperties: true
          type: object
          title: Favourites
      type: object
      required:
        - id
        - assistant_id
        - basics
        - preferences
        - people
        - favourites
      title: ProfileResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````